API & SDKsREST APIPartsRevisions

Create part revision

POST/v2/parts/{part_number}/revisions
AuthorizationBearer <token>

API key for authentication. Use format: Bearer YOUR_API_KEY

In: header

Path Parameters

part_number*string

Part number to create a revision for.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/parts/string/revisions" \  -H "Content-Type: application/json" \  -d '{    "number": "REV-A"  }'
{
  "id": "550e8400-e29b-41d4-a716-446655440001"
}
{
  "message": "Unauthorized",
  "code": "UNAUTHORIZED",
  "issues": []
}
{
  "message": "Not found",
  "code": "NOT_FOUND",
  "issues": []
}
{
  "message": "Conflict",
  "code": "CONFLICT",
  "issues": []
}
{
  "message": "Internal server error",
  "code": "INTERNAL_SERVER_ERROR",
  "issues": []
}

How is this guide?